# Generated by Django 2.1.3 on 2019-04-26 15:20

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0060_requester_user'),
    ]

    operations = [
        migrations.CreateModel(
            name='Cashflow',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('due_date', models.DateField(verbose_name='Veranstaltungsbeginn')),
                ('status', models.IntegerField(choices=[(1, 'New'), (2, 'Calculation existing and previewed'), (3, 'Ordering is ongoing'), (4, 'Event is ongoing'), (5, 'Event is finished'), (6, 'declined'), (7, 'presented in the FSR')], verbose_name='Status (nur intern)')),
                ('auszahlungsanweisung_bargeld_einkauf_bool', models.BooleanField(verbose_name='Bargeld für Einkauf bei Zahlstelle beantragt')),
                ('auszahlungsanweisung_bargeld_einkauf', models.FileField(blank=True, upload_to='uploads/auszahlungsanweisung_bargeld_einkauf', verbose_name='Auszahlungsanweisung Einkauf Bargeld')),
                ('stueckelung_wechselgeld_erstellt_bool', models.BooleanField(verbose_name='Stückelung Wechselgeld für Veranstaltung erstellt')),
                ('stueckelung_wechselgeld_zahlstelle_verschickt_bool', models.BooleanField(verbose_name='Wechselgeldstückelungsanfrage an Zahlstelle geschickt')),
                ('stueckelung_wechselgeld_lbb_verschickt_bool', models.BooleanField(blank=True, verbose_name='Optional: Wechselgeldstückelungsanfrage an LBB geschickt')),
                ('wechselgeld_abholtermin_vereinbart_bool', models.BooleanField(verbose_name='Wechselgeld Abholtermin ausgemacht')),
                ('dokument_wechselgeldstueckelung_Bank', models.FileField(blank=True, upload_to='uploads/dokument_wechselgeldstueckelung_Bank', verbose_name='Dokument Wechselgeldstückelung LBB')),
                ('textfeld_wechselgeldstueckelung', models.TextField(blank=True, verbose_name='Stückelung des Wechselgeldes')),
                ('wechselgeldstueckelung_erstellt', models.BooleanField(verbose_name='Wechselgeld für Veranstaltung beantragt')),
                ('auszahlungsanweisung_wechselgeld', models.FileField(blank=True, upload_to='uploads/auszahlungsanweisung_wechselgeld', verbose_name='Auszahlungsanweisung Wechselgeld')),
                ('sponsorengelder_sap_ankunft_pruefung', models.BooleanField(verbose_name='Sponsorengelder auf Ankunft mit SAP geprüft')),
                ('event_hat_begonnen', models.BooleanField(verbose_name='Event Beginn')),
                ('dokument_abrechnung_event', models.FileField(blank=True, upload_to='uploads/dokument_abrechnung_event', verbose_name='Verwaltungsdokument Veranstaltung')),
                ('barausgaben_zusammengerechnet_und_geprueft', models.BooleanField(verbose_name='Abrechnung der Barausgaben machen')),
                ('dokument_scan_barausgaben', models.FileField(blank=True, upload_to='uploads/dokument_scan_barausgaben', verbose_name='Scan der Barausgaben')),
                ('dokument_abrechnung_barausgaben', models.FileField(blank=True, upload_to='uploads/dokument_abrechnung_barausgaben', verbose_name='Abbrechnung der Barausgaben')),
                ('barausgaben_mit_einkauf_verrechnet', models.BooleanField(verbose_name='Verrechnung der Barausgaben mit Bargeld Einkauf')),
                ('einzahlungsanweisung_barvorschuss_einkauf_rueckzahlung_gemacht', models.BooleanField(verbose_name='Einzahlungsanweisung für Rückzahlung des Vorschusses für den Einkauf machen')),
                ('einzahlungsanweisung_barvorschuss_einkauf_rueckzahlung', models.FileField(blank=True, upload_to='uploads/einzahlungsanweisung_barvorschuss_einkauf_rueckzahlung', verbose_name='Einzahlungsanweisung Einkauf Bargeld Rückzahlung')),
                # Field name to long for Postgres
                #('einzahlungsanweisung_optionale_auszahlungsanweisung_diffbarausgabenvorschuss_gemacht', models.BooleanField(verbose_name='Einzahlungsanweisung oder optional Auszahlungsanweisung Differenz Barausgaben            und Auslage für Bargeld Einkauf machen')),
                #('einzahlungsanweisung_optionale_auszahlungsanweisung_diffbarausgabenvorschuss', models.FileField(blank=True, upload_to='uploads/einzahlungsanweisung_optionale_auszahlungsanweisung_diffbarausgabenvorschuss', verbose_name='Einzahlungsanweisung/ Auszahlungsanweisung (You did something wrong)             für Differenz der Barausgaben machen')),
                ('einzahlungsanweisung_wechselgeld_rueckzahlung_gemacht', models.BooleanField(verbose_name='Einzahlungsanweisung Rückzahlung Wechselgeld machen')),
                ('einzahlungsanweisung_wechselgeld_rueckzahlung', models.FileField(blank=True, upload_to='uploads/einzahlungsanweisung_wechselgeld_rueckzahlung', verbose_name='Einzahlungsanweisung Rückzahlung Wechselgeld')),
                ('einzahlungsanweisung_einnahmen_gemacht', models.BooleanField(verbose_name='Einzahlungsanweisung für die Einnahmen machen (Abzüglich Wechselgeld und Barausgaben)')),
                ('einzahlungsanweisung_einnahmen', models.FileField(blank=True, upload_to='uploads/einzahlungsanweisung_einnahmen', verbose_name='Einzahlungsanweisung Einnahmen')),
                ('praesentation_veranstaltung_fsr_gemacht', models.BooleanField(verbose_name='Präsentation für den FSR vorbereiten')),
                ('praesentation_veranstaltung_fsr', models.FileField(blank=True, upload_to='uploads/praesentation_veranstaltung_fsr', verbose_name='Präsentation FSR')),
                ('veranstaltung_beendet', models.BooleanField(verbose_name='FSR wurde über Veranstaltung informiert')),
                ('requester', models.ForeignKey(blank=True, on_delete=django.db.models.deletion.PROTECT, to='core.Requester', verbose_name='Interner Empfänger')),
            ],
        ),
    ]
